#
# spec file for package ghc-unix-compat
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name unix-compat
Name:           ghc-%{pkg_name}
Version:        0.5.1
Release:        lp151.1.2
Summary:        Portable POSIX-compatibility layer
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-unix-devel

%description
This package provides portable implementations of parts of the unix package.
This package re-exports the unix package when available. When it isn't
available, portable implementations are used.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files

%changelog
* Sat Oct 20 2018 Peter Simons <psimons@suse.com>
- Use https URL to refer to bugs.opensuse.org.
* Thu Aug 30 2018 psimons@suse.com
- Update unix-compat to version 0.5.1.
  Upstream does not provide a change log file.
* Tue Jul 31 2018 psimons@suse.com
- Revise Cabal build instructions to support 'unix' version 2.8.x.
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Mon May 14 2018 psimons@suse.com
- Update unix-compat to version 0.5.0.1.
  Upstream does not provide a changelog.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon Jul 31 2017 psimons@suse.com
- Update to version 0.4.3.1 revision 2.
* Mon Jan 16 2017 psimons@suse.com
- Update to version 0.4.3.1 revision 1 with cabal2obs.
* Fri Dec 16 2016 psimons@suse.com
- Update to version 0.4.3.1 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 0.4.2.0 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.4.1.4 revision 2 with cabal2obs.
* Thu Apr 23 2015 mimi.vx@gmail.com
- initial commit
